import type { StateStore } from "./state";

export const connectWebSocket = <T>(path: string, store: StateStore<T>, token: object = {}) => {
  const ws = new WebSocket(`wss://api.peerat.dev${path}`);

  ws.onopen = () => {
    if (token) {
      ws.send(JSON.stringify({ ...token }));
    }
  };

  ws.onmessage = (event) => {
    const data: T = JSON.parse(event.data);
    store.addRequest(data);
  };
};
