import { z } from "zod";

export const formSchema = z.object({
  name: z.string().min(1, { message: "Le nom du puzzle est requis" }),
  content: z.string().min(1, { message: "Le contenu du puzzle est requis" }),
  soluce: z.string().min(1, { message: "La solution du puzzle est requise" }),
  score_max: z.string().regex(/^\d+$/, { message: "Le score maximum doit être un nombre" }),
  chapter: z.string().regex(/^\d+$/, { message: "Le chapitre doit être un nombre" }),
});

export type FormSchema = typeof formSchema;
