import type { PageServerLoad } from "./$types";

import { redirect } from "@sveltejs/kit";

import { handleRedirect } from "$lib/utils";

export const load: PageServerLoad = async ({ url, locals, params: { chapterId } }) => {
  if (!locals.user) {
        redirect(302, handleRedirect("login", url));
  }

  redirect(302, /\d+/.test(chapterId) ? "/chapters/" + chapterId : "/chapters");
};
