import { z } from "zod";

export const formSchema = z.object({
  answer: z.string().nonempty({ message: "Veuillez entrer votre réponse." }),
  code_file: z.instanceof(File, { message: "Veuillez envoyer votre code source." })
    .refine((file) => file.size < 100_000, 'Votre fichier doit faire maximum 100 kB.')
    .array()
});

export type FormSchema = typeof formSchema;
