import type { PageServerLoad } from "./$types";

import { redirect } from "@sveltejs/kit";

import { COOKIES } from "$lib/constants";

export const load: PageServerLoad = async ({ cookies, locals }) => {
  if (!locals.user) {
    redirect(302, "/login");
  }

  const session = cookies.get(COOKIES.SESSION);

  if (session) {
    cookies.delete(COOKIES.SESSION, { path: "/" });
  }

  redirect(302, "/login");
};
